# Test: Menu with multiple valid items using different command types
# Expected: PASS

agent:
  metadata:
    id: multiple-menu
    name: Multiple Menu Items
    title: Multiple Menu
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with multiple menu items
    identity: I am a test agent with diverse menu commands.
    communication_style: Clear
    principles:
      - Test multiple menu items

  menu:
    - trigger: help
      description: Show help
      action: display_help
    - trigger: start-workflow
      description: Start a workflow
      workflow: path/to/workflow
    - trigger: execute
      description: Execute command
      exec: npm test
    - trigger: use-template
      description: Use template
      tmpl: path/to/template
